import { LitElementWw } from '@webwriter/lit';
import { LitElement, html } from 'lit';
import { customElement } from 'lit/decorators.js';

import periodicTable from '../periodicTable.json';

import { PeriodicTableStyles } from './PeriodicTableStyles';

@customElement('webwriter-periodic-table')
export class PeriodicTable extends LitElementWw {
    static styles = PeriodicTableStyles;
    static shadowRootOptions = { ...LitElement.shadowRootOptions, delegatesFocus: true };

    render() {
        return html`
            <div class="periodic-table">
                ${Object.entries(periodicTable.elements).map(([key, value]) => {
                    return html`
                        <div
                            class="element"
                            style="grid-column: ${value.xpos}; grid-row: ${value.ypos};"
                            @click=${() => {
                                new CustomEvent('element-click', value);
                            }}
                        >
                            <div class="element-number">${value.number}</div>
                            <div class="element-symbol">${value.symbol}</div>

                            <div class="hover-only">
                                <div class="element-name">${value.name}</div>
                                <div class="element-mass">${value.atomic_mass}</div>
                            </div>
                        </div>
                    `;
                })}
            </div>
        `;
    }
}
