import { css } from 'lit';

export const PeriodicTableStyles = css`
    .periodic-table {
        display: grid;
        grid-template-columns: repeat(18, 1fr);
        grid-template-rows: repeat(7, 1fr);
        /* gap: 0.5rem; */
        /* padding: 0.5rem; */

        width: 100%;

        font-size: 0.7em;
    }

    .element {
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        border: 1px solid black;

        aspect-ratio: 1/1;
        /* padding: 0.5rem; */
    }

    .element:hover {
        background-color: lightgray;
        cursor: pointer;
    }

    .element:hover .hover-only {
        display: block;
    }

    .element-number {
        font-size: 0.8em;
    }

    .element-symbol {
        font-size: 1.2em;
    }

    .element-name {
        font-size: 1em;
    }

    .element-mass {
        font-size: 0.8em;
    }

    .hover-only {
        display: none;
        position: absolute;

        top: 0;
        left: 17em;

        height: 10em;
        aspect-ratio: 3/4;

        border: 1px solid black;
    }
`;
